Pterodactyldocs
Client A P I

Get server schedule

Returns one schedule configured for the server, including its tasks.

GET/api/client/servers/{server_uuid}/schedules/{schedule_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_uuid*string

The server UUID.

schedule_id*integer

The schedule ID.

Query Parameters

include?string

Comma-separated relationships to include. Supports tasks.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/schedules/1?include=tasks"
{  "object": "server_schedule",  "attributes": {    "id": 448,    "name": "Leo",    "cron": {      "day_of_week": "*",      "day_of_month": "*",      "month": "*",      "hour": "*",      "minute": "*"    },    "is_active": true,    "is_processing": false,    "only_when_online": false,    "last_run_at": "string",    "next_run_at": "2026-06-30T04:00:00+00:00",    "created_at": "2026-09-22T14:45:24+00:00",    "updated_at": "2026-09-22T14:45:24+00:00",    "relationships": {      "tasks": {        "object": "list",        "data": [          {            "object": "schedule_task",            "attributes": {              "id": 151,              "sequence_id": 4,              "action": "power",              "payload": "test command",              "time_offset": 120,              "is_queued": false,              "continue_on_failure": false,              "created_at": "2026-09-22T14:45:24+00:00",              "updated_at": "2026-09-22T14:45:24+00:00"            }          }        ]      }    }  }}